Ceilometer doesn't build the data correclty for Gnocchi when you send hypervisors HW metrics using snmpd and agent-central

Bug #1518338 reported by Maximiliano on 2015-11-20
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
High
Lianhao Lu
Gnocchi
Fix Released
High
Lianhao Lu

Bug Description

If you are pushing data from the hypervisors using snmpd and the ceilometer agent-central to gnocchi, ceilometer does not append the real ID of the hypervisor to the metric, instead ceilometer assign a random UUID to each metric that does not correspond to any existent compute-node.
The hypervisor ID in nova is an integer as you can see here :

root@cetz-sm01:~# nova hypervisor-list
+----+---------------------+-------+---------+
| ID | Hypervisor hostname | State | Status |
+----+---------------------+-------+---------+
| 2 | cetz-sm01 | up | enabled |
| 5 | cetz-sm02 | up | enabled |
+----+---------------------+-------+---------+

This is my snmpd config in the ceilometer collector server ( /etc/ceilometer/pipeline.yaml ) :

    - name: meter_snmp
      interval: 60
      resources:
          - snmp://192.168.90.11
          - snmp://192.168.90.10
      meters:
          - "hardware.cpu*"
          - "hardware.memory*"
          - "hardware.disk*"
          - "hardware.network*"
          - "hardware.system_stats*"
      sinks:
          - meter_sink

And This is the resource mapping to push metrics to gnocchi ( /etc/ceilometer/gnocchi_resources.yaml ):

  - resource_type: generic
    metrics:
      - 'hardware.cpu.load.15min'
      - 'hardware.cpu.load.1min'
      - 'hardware.cpu.load.5min'
      - 'hardware.disk.size.total'
      - 'hardware.disk.size.used'
      - 'hardware.memory.swap.avail'
      - 'hardware.memory.swap.total'
      - 'hardware.memory.total'
      - 'hardware.memory.used'
      - 'hardware.network.incoming.bytes'
      - 'hardware.network.ip.incoming.datagrams'
      - 'hardware.network.ip.outgoing.datagrams'
      - 'hardware.network.outgoing.bytes'
      - 'hardware.network.outgoing.errors'

 ceilometer creates different resources for each metric in gnocchi, and not just only one for all metrics belonging the same hypervisor. Another issue is the hypervisor ID does not correspond to any hypervisor in NOVA.

root@cetz-sm01:~# gnocchi resource list

| d8fc1dc0-27d6-534d-bff8-f6c9e1939781 | generic | None | None | 2015-11-19T12:34:38.531331+00:00 | None | 2015-11-19T12:34:38.531366+00:00 | None |
| d7806bbf-0fbb-558e-8aea-37473214ade5 | generic | None | None | 2015-11-19T20:59:56.762264+00:00 | None | 2015-11-19T20:59:56.762314+00:00 | None |
| 4075ed44-31d7-57be-a6af-1910877f279e | generic | None | None | 2015-11-19T20:59:57.832450+00:00 | None | 2015-11-19T20:59:57.832495+00:00 | None |
| a1fdc527-8346-5a9b-a6b1-59be2fd9f218 | generic | None | None | 2015-11-19T21:00:18.218477+00:00 | None | 2015-11-19T21:00:18.218518+00:00 | None |
| bdc61097-b675-55cd-a17e-ff00b756fa06 | generic | None | None | 2015-11-19T21:00:28.795618+00:00 | None | 2015-11-19T21:00:28.795659+00:00 | None |
| 229d4c12-790b-5b6f-90f4-415b74b64cbb | generic | None | None | 2015-11-19T21:00:36.456317+00:00 | None | 2015-11-19T21:00:36.456362+00:00 | None |
| 3a9f405e-e830-527e-8f20-063c03935144 | generic | None | None | 2015-11-19T21:00:53.059079+00:00 | None | 2015-11-19T21:00:53.059130+00:00 | None |
| c73295ca-ad91-5441-b8ee-b80bac3a58ed | generic | None | None | 2015-11-19T21:00:56.299878+00:00 | None | 2015-11-19T21:00:56.299920+00:00 | None |
| 1c167117-1d84-55c0-9b86-3f1c2f061e06 | generic | None | None | 2015-11-19T21:01:13.712577+00:00 | None | 2015-11-19T21:01:13.712621+00:00 | None |
| 8bd2c2e1-036a-52da-91c8-5a9607c385d7 | generic | None | None | 2015-11-19T21:01:37.317445+00:00 | None | 2015-11-19T21:01:37.317489+00:00 | None |
| f0d16401-4f49-50f0-b362-33f9aa39fd0e | generic | None | None | 2015-11-19T21:01:56.931716+00:00 | None | 2015-11-19T21:01:56.931757+00:00 | None |
| 41628f39-562b-5788-b338-5676e9323ba5 | generic | None | None | 2015-11-19T21:02:19.302406+00:00 | None | 2015-11-19T21:02:19.302448+00:00 | None |
| 16758503-4e1f-5a50-87e4-ef47f22cd245 | generic | None | None | 2015-11-19T21:02:40.522154+00:00 | None | 2015-11-19T21:02:40.522197+00:00 | None |
| 85140a9c-a85f-5bed-aa8a-4ca6ff4cd880 | generic | None | None | 2015-11-19T21:02:59.574454+00:00 | None | 2015-11-19T21:02:59.574496+00:00 | None |
| d5c8c604-b876-54f8-9812-c00512c0d0ce | generic | None | None | 2015-11-19T21:03:23.725890+00:00 | None | 2015-11-19T21:03:23.725933+00:00 | None |
| b3592e92-026c-5c92-a592-b934d8d6510b | generic | None | None | 2015-11-19T21:03:44.441289+00:00 | None | 2015-11-19T21:03:44.441332+00:00 | None |
| bd4739ef-7703-507a-ad52-286172241196 | generic | None | None | 2015-11-19T21:04:09.852800+00:00 | None | 2015-11-19T21:04:09.852842+00:00 | None |
| c744633a-dd04-5e71-9bc0-288b4bb15b49 | generic | None | None | 2015-11-19T21:04:28.709258+00:00 | None | 2015-11-19T21:04:28.709300+00:00 | None |
| 808b6254-8653-51eb-aa67-12da9fc20046 | generic | None | None | 2015-11-19T21:04:50.606866+00:00 | None | 2015-11-19T21:04:50.606912+00:00 | None |
| 3b92b037-1819-5bb5-b9af-43b6ac96cb7b | generic | None | None | 2015-11-19T21:05:09.402143+00:00 | None | 2015-11-19T21:05:09.402187+00:00 | None |
| 2e96c8f8-5cd5-597a-9b53-a6494c63b269 | generic | None | None | 2015-11-19T21:05:27.180785+00:00 | None | 2015-11-19T21:05:27.180828+00:00 | None |
| a3116803-fbaa-5d1e-8bce-766b97077664 | generic | None | None | 2015-11-19T21:05:46.993115+00:00 | None | 2015-11-19T21:05:46.993160+00:00 | None |
| f31c60bb-31e9-5dc6-98e4-64e78564bddb | generic | None | None | 2015-11-19T21:06:07.460520+00:00 | None | 2015-11-19T21:06:07.460563+00:00 | None |
| 27be2c09-d5af-577a-b570-31313cafd64d | generic | None | None | 2015-11-19T21:06:25.608790+00:00 | None | 2015-11-19T21:06:25.608834+00:00 | None |
| c2d359e6-d3ea-5673-a2d4-be0f6c5c20bf | generic | None | None | 2015-11-19T21:06:46.411939+00:00 | None | 2015-11-19T21:06:46.411982+00:00 | None |
| 31d35ec0-4d89-5961-8b01-5a91c19b30a1 | generic | None | None | 2015-11-19T21:07:08.202977+00:00 | None | 2015-11-19T21:07:08.203020+00:00 | None |
| 50fb847e-ebeb-55a2-a155-44564231ea1d | generic | None | None | 2015-11-19T21:07:26.167399+00:00 | None | 2015-11-19T21:07:26.167441+00:00 | None |
| 43a165ee-242f-536c-b835-68b8c6c12d78 | generic | None | None | 2015-11-19T21:07:47.795845+00:00 | None | 2015-11-19T21:07:47.795888+00:00 | None |
| 01bd97ac-eb63-5d48-8fff-a5848097bb2e | generic | None | None | 2015-11-19T21:08:09.342526+00:00 | None | 2015-11-19T21:08:09.342569+00:00 | None |
| 2bfdb1ab-bb57-5b3a-b47e-689bc2907db3 | generic | None | None | 2015-11-19T21:08:30.230004+00:00 | None | 2015-11-19T21:08:30.230046+00:00 | None |
| 9b492c78-5a9e-5ce0-9392-9724299e0b53 | generic | None | None | 2015-11-19T21:08:51.576571+00:00 | None | 2015-11-19T21:08:51.576617+00:00 | None |
| 483bb688-4ea3-56a5-8271-88a6392693a0 | generic | None | None | 2015-11-19T21:09:12.032914+00:00 | None | 2015-11-19T21:09:12.032958+00:00 | None |
| bad3f034-83c7-5c78-89a4-f643bb44fbd1 | generic | None | None | 2015-11-19T21:09:28.005918+00:00 | None | 2015-11-19T21:09:28.005960+00:00 | None |
| 9e5946fd-73ff-5e3c-a889-d6081a74fc63 | generic | None | None | 2015-11-19T21:09:49.952618+00:00 | None | 2015-11-19T21:09:49.952662+00:00 | None |
| 5b417143-2e3a-5b8d-b7b1-36e697ac9392 | generic | None | None | 2015-11-19T21:10:15.150349+00:00 | None | 2015-11-19T21:10:15.150392+00:00 | None |
+--------------------------------------+----------------------------+--------

it seems like Ceilometer doesn't build the data correclty for Gnocchi when push HW metrics.

Maximiliano (massimo-6) on 2015-11-20
tags: added: gnocchi
gordon chung (chungg) on 2015-11-20
Changed in ceilometer:
status: New → Triaged
importance: Undecided → Medium
importance: Medium → High
heha (zhanghanqun) on 2015-11-20
Changed in ceilometer:
assignee: nobody → heha (zhanghanqun)
Chris Dent (cdent) wrote :

This is may be at least in part the result of the openstack-bad-id to internal-gnocchi-uuid mapping that is done[1]. If I recall correctly at least some of the hardware ids are not uuids.

So what will happen is that resource list will list a bunch of opaque ids that appear to bear no relation to the external ids. However if you were to make a query using the external resource id you'd probably get the expected thing.

I'm away from any way of being able to test or demonstrate this but I reckon there's a way easily show what is going on with a gnocchiclient example.

Because of the mapping shim and the bad external ids, this is just going to happen. The way to work around it is to be aware of the external ids and use them in queries, not enumerate resources ids in gnocchi to find the expected id. This isn't ideal but is a tax we pay for inconsistent ids.

[1] https://review.openstack.org/#/c/216390/

Maximiliano (massimo-6) wrote :
Download full text (13.7 KiB)

Yes Chris that functionality works perfectly in gnocchi, but i think the real problem here is that ceilometer is not posting the resource id in any call coming from the agent-central or collected by the snmp resource, as Rohit said , no matter if this is an external or internal ID.

I have a clear example of this here :

1 - i have cleared all the resources "generic from gnocchi "

   root@cetz-sm01:~# gnocchi resource list | egrep generic
   root@cetz-sm01:~#

2 - then i have configured just one HW hypervisor to push HW metrics from ceilometer and map it to a generic resource in gnocchi.

    in /etc/ceilometer/pipeline.yaml

       - name: network_source
      interval: 60
      meters:
          - "network.incoming.bytes"
          - "network.incoming.packets"
          - "network.outgoing.bytes"
          - "network.outgoing.packets"
      sinks:
          - network_sink

    - name: meter_snmp
      interval: 60
      resources:
          - snmp://192.168.90.11

 in /etc/ceilometer/gnocchi_resources.yaml

      - resource_type: generic
    metrics:
      - 'hardware.cpu.load.15min'
      - 'hardware.cpu.load.1min'
      - 'hardware.cpu.load.5min'
      - 'hardware.disk.size.total'
      - 'hardware.disk.size.used'
      - 'hardware.memory.swap.avail'
      - 'hardware.memory.swap.total'
      - 'hardware.memory.total'
      - 'hardware.memory.used'
      - 'hardware.network.incoming.bytes'
      - 'hardware.network.ip.incoming.datagrams'
      - 'hardware.network.ip.outgoing.datagrams'
      - 'hardware.network.outgoing.bytes'
      - 'hardware.network.outgoing.errors'

3 - Then restart everything and look at the gnocchi logs searching for generic POSTS coming from ceilometer :

root@gnocchi-api-1:~# tail -f /var/log/gnocchi/gnocchi.log | egrep generic

2015-11-24 14:35:20.478 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:20] "POST /v1/resource/generic/192.168.90.11.br-tun/metric/hardware.network.outgoing.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:21.514 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:21] "POST /v1/resource/generic/192.168.90.11.qvob95a1f48-c4/metric/hardware.network.outgoing.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:21.931 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:21] "POST /v1/resource/generic/192.168.90.11.qbre39e3176-a8/metric/hardware.network.outgoing.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:22.194 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:22] "POST /v1/resource/generic/192.168.90.11.tap93cfc2b4-e7/metric/hardware.network.incoming.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:22.294 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:22] "POST /v1/resource/generic/192.168.90.11.tap575f655c-b5/metric/hardware.network.incoming.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:22.726 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:22] "POST /v1/resource/generic HTTP/1.1" 409 -
2015-11-24 14:35:23.071 10332 INFO werkzeug [-] 192.168.90.10 - - [24/Nov/2015 14:35:23] "POST /v1/resource/generic/192.168.90.11.br-tun/metric/hardware.network.incoming.bytes/measures HTTP/1.1" 202 -
2015-11-24 14:35:23.696 10332 INFO ...

heha (zhanghanqun) on 2015-11-25
Changed in ceilometer:
status: Triaged → In Progress
heha (zhanghanqun) wrote :

Now I don't have a clear and specific idea.Please give me some proposals.

Maximiliano (massimo-6) wrote :

Yes haha,

As i said in the last email, In the way in which ceilometer is pushing metrics to gnocchi API, it creates one resource for every metric
from the same physical server.

POST /v1/resource/generic/192.168.90.11.tap575f655c-b5/metric/hardware.network.incoming.bytes/measures
POST /v1/resource/generic/192.168.90.11.br-tun/metric/hardware.network.outgoing.bytes/measures
POST /v1/resource/generic/192.168.90.11.eth3/metric/hardware.network.outgoing.errors/measures
POST /v1/resource/generic/192.168.90.10.%2Fdev%2Fsdb1/metric/hardware.disk.size.used/measures

So instead "192.168.90.11.tap575f655c-b5" or "192.168.90.10.%2Fdev%2Fsdb1" ceilometer should post a resource ID and send the name of the interfaces or disks as a gnocchi metadata.
And the resource ID should be the hypervisor id from nova.

For example :

POST /v1/resource/generic/2/metric/hardware.network.outgoing.bytes/measures
metadata: disk:sdb1
POST /v1/resource/generic/1/metric/hardware.disk.size.used/measures
metadata: iface:eth3
POST /v1/resource/generic/4/metric/hardware.disk.size.used/measures
metadata iface:br-tun

gordon chung (chungg) on 2015-12-10
Changed in ceilometer:
assignee: heha (zhanghanqun) → nobody
Lianhao Lu (lianhao-lu) on 2015-12-10
Changed in ceilometer:
assignee: nobody → Lianhao Lu (lianhao-lu)
Lianhao Lu (lianhao-lu) wrote :

Yes, in some cases(in the cases where the endpoint(resources) is not discovered from its default Ironic discovery, but configured in the pipeline yaml) the resource_id would not be the UUID, but the endpoint(resource) ip/hostname. Because in that case, those physical machines are not managed by Ironic so we can't get the UUID for them, unlike those machines managed by Ironic in which case can have have a UUID resource_id

Ok, i understand that and makes totally sense, the problem here is other than being ip/hostname, or just ip, or just hostname.
the problem here is that because the collector pushes IP.INTERFACE instedad of IP/INTERFACE so gnocchi treats IP and INTERFACE as different resources, when should be resource IP -> metric INTERFACE

Maximiliano (massimo-6) wrote :

Lianhao,

We can let ironic out of this. I need to monitor a physical server ( hypervisor ) and when ceilometer agents push the metrics
to gnocchi, it is done without an unique resource_id, and this is because it is not using an IP/hostname as a resource_id.

For example , lets take this two metrics examples:

POST /v1/resource/generic/192.168.90.11.br-tun/metric/hardware.network.outgoing.bytes/measures
POST /v1/resource/generic/192.168.90.11.eth3/metric/hardware.network.outgoing.errors/measures

Here the resource ID is :

192.168.90.11.br-tun
192.168.90.11.eth3

But br-tun and eth3 are two network devices from the same resource ( hypervisor ), so the resource should be just 192.168.90.11

this make any sense to you ?

Lianhao Lu (lianhao-lu) wrote :

@Maximiliano, I think having only the host ip as resource_id would causing some problems, think of the following scenario:

for the same metric hardware.network.outgoing.bytes from the same machine 192.168.90.11, first gnocchi gets the measure for eth3 of the value 1000, later gnocchi gets another measure for br-tun of the value 2000. These are two different measures for different network interface on the same machine 192.168.90.11. If we have 192.168.90.11 as the resource_id for both of them, then we can't differentiate them.

@Alejandro, thanks for the info. Will look into that

Maximiliano (massimo-6) wrote :

Lianhao,

I think ceilometer can add some metadata to the metric to distinguish between different devices. Or maybe the metric can have attached the name of the device like eth1.hardware.network.outgoing.bytes but no the resource, i think its more elegant solution.

Otherwise, if i have a metric system that needs to show hypervisor metrics, and i need to show hostnames or ips instead
UUIDS, how can i translate a gnocchi uuid to 192.168.90.11.br-tun or 192.168.90.11.eth3 to then separate the hostname or the ip from the device to show the metric ??

Thanks.

Sergio Colinas (sergio-n) wrote :

@Lianhao, Hi!

Do you have any news about this bug? Are you planning to add HW resource types to gnocchi with its associated metadata?

Tahnks

gordon chung (chungg) wrote :

i agree with Maximiliano, one of the reasons ids are a mess in OpenStack (and ceilometer) is because we are adding values to ids which should really be metadata

Sergio Colinas (sergio-n) wrote :

@GordonChung, agree and I think the final solution is to add HW resource types in gnocchi to manage the associated metadata in the same way instances does.

What do you think about it?

Thanks in advance!

Lianhao Lu (lianhao-lu) wrote :

I'm looking at this kind of things, i'll write up an email to discuss in details. Basically speaking, the snmp related metrics encounter the same problem as the instance metric disk.device.*, as both of these adds 'suffix' to its resource_id.

Maybe we should create new types of resource in gnocchi here for snmp metrics.

As for using the same resource_id for all metrics for different disk/interface within an VM instance/machine, I'll write up an email to discuss this

Download full text (11.2 KiB)

Lianhao lu,

That will be a great and elegant solution to this issue, ading a new
resource type in gnocchi to register snmp metrics, with the possibility to
add metadata like hostname.

Just let us know how it goes and how can we help.
On Dec 15, 2015 9:06 PM, "Lianhao Lu" <email address hidden> wrote:

> I'm looking at this kind of things, i'll write up an email to discuss in
> details. Basically speaking, the snmp related metrics encounter the
> same problem as the instance metric disk.device.*, as both of these adds
> 'suffix' to its resource_id.
>
> Maybe we should create new types of resource in gnocchi here for snmp
> metrics.
>
> As for using the same resource_id for all metrics for different
> disk/interface within an VM instance/machine, I'll write up an email to
> discuss this
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1518338
>
> Title:
> Ceilometer doesn't build the data correclty for Gnocchi when you send
> hypervisors HW metrics using snmpd and agent-central
>
> Status in Ceilometer:
> In Progress
>
> Bug description:
>
> If you are pushing data from the hypervisors using snmpd and the
> ceilometer agent-central to gnocchi, ceilometer does not append the real ID
> of the hypervisor to the metric, instead ceilometer assign a random UUID to
> each metric that does not correspond to any existent compute-node.
> The hypervisor ID in nova is an integer as you can see here :
>
> root@cetz-sm01:~# nova hypervisor-list
> +----+---------------------+-------+---------+
> | ID | Hypervisor hostname | State | Status |
> +----+---------------------+-------+---------+
> | 2 | cetz-sm01 | up | enabled |
> | 5 | cetz-sm02 | up | enabled |
> +----+---------------------+-------+---------+
>
> This is my snmpd config in the ceilometer collector server (
> /etc/ceilometer/pipeline.yaml ) :
>
> - name: meter_snmp
> interval: 60
> resources:
> - snmp://192.168.90.11
> - snmp://192.168.90.10
> meters:
> - "hardware.cpu*"
> - "hardware.memory*"
> - "hardware.disk*"
> - "hardware.network*"
> - "hardware.system_stats*"
> sinks:
> - meter_sink
>
> And This is the resource mapping to push metrics to gnocchi (
> /etc/ceilometer/gnocchi_resources.yaml ):
>
> - resource_type: generic
> metrics:
> - 'hardware.cpu.load.15min'
> - 'hardware.cpu.load.1min'
> - 'hardware.cpu.load.5min'
> - 'hardware.disk.size.total'
> - 'hardware.disk.size.used'
> - 'hardware.memory.swap.avail'
> - 'hardware.memory.swap.total'
> - 'hardware.memory.total'
> - 'hardware.memory.used'
> - 'hardware.network.incoming.bytes'
> - 'hardware.network.ip.incoming.datagrams'
> - 'hardware.network.ip.outgoing.datagrams'
> - 'hardware.network.outgoing.bytes'
> - 'hardware.network.outgoing.errors'
>
>
> ceilometer creates different resources for each metric in gnocchi, and
> not just only one...

Sergio Colinas (sergio-n) wrote :

Hi guys,

We've successfully added the hypervisor resource types in our gnocchi environment and modified the gnocchi_resources.yaml. I've attached the patch that we've used. Let me know if I can help with something else.

Kindest regards,

Lianhao Lu (lianhao-lu) wrote :

Per community discussion, the following tasks needs to be done in goncchi:

1. added a new original_resource_id field in the gnocchi resource in case the resource_id is changed during the POST.
2. Added new resource type for hardware network/disk metrics.

affects: ceilometer → gnocchi
Changed in ceilometer:
assignee: nobody → Lianhao Lu (lianhao-lu)
status: New → In Progress
importance: Undecided → High

Reviewed: https://review.openstack.org/273008
Committed: https://git.openstack.org/cgit/openstack/gnocchi/commit/?id=548d72779b12295d972e9b4b352a904aa990ea20
Submitter: Jenkins
Branch: master

commit 548d72779b12295d972e9b4b352a904aa990ea20
Author: Lianhao Lu <email address hidden>
Date: Wed Jan 27 11:50:49 2016 +0000

    Added original_resource_id field into resource

    When creating new resource, gnocchi will automatically change the
    resource id if it's not in UUID format. This patch adds a new field
    original_resource_id into resource to store the original id which the
    user submitted in the resource post request.

    Change-Id: I2577bddfec9846101fa6240cfbd1c0178ab8ced4
    Partial-Bug: #1518338

Julien Danjou (jdanjou) on 2016-02-19
Changed in gnocchi:
milestone: none → 2.0.0
status: In Progress → Fix Released
Lianhao Lu (lianhao-lu) wrote :

Final gnocchi patch to closes this bug: https://review.openstack.org/281630

Reviewed: https://review.openstack.org/281630
Committed: https://git.openstack.org/cgit/openstack/gnocchi/commit/?id=bd5c9d72e21574163c673a9a1a483dd0ff6b91e9
Submitter: Jenkins
Branch: master

commit bd5c9d72e21574163c673a9a1a483dd0ff6b91e9
Author: Lianhao Lu <email address hidden>
Date: Thu Feb 18 03:22:21 2016 +0000

    Added new resource types for snmp metrics

    Added new resource types for snmp related metrics: host, host_disk,
    host_network_interface.

    Change-Id: I0be08864ee10cefa252dc89885fda5fcc89a4e8a
    Closes-Bug: #1518338
    Co-Authored-By: Sergio Colina <email address hidden>

Reviewed: https://review.openstack.org/289168
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=aff5ed1bfd30295cfdbd9fbdea12298fe0279bdc
Submitter: Jenkins
Branch: master

commit aff5ed1bfd30295cfdbd9fbdea12298fe0279bdc
Author: Lianhao Lu <email address hidden>
Date: Mon Mar 7 05:39:10 2016 +0000

    gnocchi dispatch: Added new resource type support

    Added new resource types support of snmp related metrics: host,
    host_disk, host_network_interface.

    Change-Id: I220608e85629d89c44f778c82e0be67bb4ea6f3b
    Depends-On: I0be08864ee10cefa252dc89885fda5fcc89a4e8a
    Closes-Bug: #1518338

Changed in ceilometer:
status: In Progress → Fix Released

This issue was fixed in the openstack/ceilometer 6.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers